GETCONF(1)

NAME
getconf - Get configuration values

SYNOPSIS

getconf [-v specification] variable_name [pathname]

getconf -a [pathname]

getconf -h | -V

OPTIONS

      -v specification     Indicate specific version for which configuration
                           values shall be fetched.
      -a, --all            Print all known configuration values
    Other options:
      -h, --help           This text
      -V, --version        Print program version and exit

DESCRIPTION

The getconf utility prints the value of the configuration variable specified by variable_name. If no pathname is given, getconf serves as a wrapper for the confstr and sysconf functions, supporting the symbolic constants defined in the limits.h and unistd.h headers, without their respective _CS_ or _SC_ prefixes.

If pathname is given, getconf prints the value of the configuration variable for the specified pathname. In this form, getconf serves as a wrapper for the pathconf function, supporting the symbolic constants defined in the unistd.h header, without the _PC_ prefix.

If you specify the -v option, the parameter denotes a specification for which the value of the configuration variable should be printed. Note that the only specifications supported by Cygwin are POSIX_V7_ILP32_OFFBIG and the legacy POSIX_V6_ILP32_OFFBIG and XBS5_ILP32_OFFBIG equivalents.

Use the -a option to print a list of all available configuration variables for the system, or given pathname, and their values.

COPYRIGHT

Copyright © Cygwin authors

Permission is granted to make and distribute verbatim copies of this documentation provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this documentation under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this documentation into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Free Software Foundation.